// Generated by ts-to-zod
import { z } from 'zod'

export const metaFlatSchema = z.object({
  charset: z.string(),
  description: z.string(),
  colorScheme: z.string(),
  applicationName: z.string(),
  author: z.string(),
  creator: z.string(),
  publisher: z.string(),
  generator: z.string(),
  referrer: z.union([z.literal(''), z.literal('no-referrer'), z.literal('no-referrer-when-downgrade'), z.literal('origin'), z.literal('origin-when-cross-origin'), z.literal('same-origin'), z.literal('strict-origin'), z.literal('strict-origin-when-cross-origin'), z.literal('unsafe-url')]),
  viewport: z.union([z.string(), z.object({
    width: z.union([z.number(), z.literal('device-width')]),
    height: z.union([z.number(), z.literal('device-height')]),
    initialScale: z.number().min(0).max(10),
    maximumScale: z.number().min(0).max(10),
    minimumScale: z.number().min(0).max(10),
    userScalable: z.union([z.literal('yes'), z.literal('no')]),
    viewportFit: z.union([z.literal('auto'), z.literal('contain'), z.literal('cover')]),
  }).partial()]),
  robots: z.union([z.string(), z.object({
    all: z.boolean(),
    noindex: z.boolean(),
    nofollow: z.boolean(),
    none: z.boolean(),
    noarchive: z.boolean(),
    nositelinkssearchbox: z.boolean(),
    nosnippet: z.boolean(),
    indexifembedded: z.boolean(),
    maxSnippet: z.number(),
    maxImagePreview: z.union([z.literal('none'), z.literal('standard'), z.literal('large')]),
    maxVideoPreview: z.number(),
    notranslate: z.boolean(),
    unavailable_after: z.string(),
    noimageindex: z.boolean(),
  }).partial()]),
  google: z.union([z.literal('nositelinkssearchbox'), z.literal('nopagereadaloud')]),
  googlebot: z.literal('notranslate'),
  googleSiteVerification: z.string(),
  rating: z.literal('adult'),
  ogUrl: z.string(),
  ogTitle: z.string(),
  ogDescription: z.string(),
  ogType: z.union([z.literal('website'), z.literal('article'), z.literal('book'), z.literal('profile'), z.literal('music.song'), z.literal('music.album'), z.literal('music.playlist'), z.literal('music.radio_status'), z.literal('video.movie'), z.literal('video.episode'), z.literal('video.tv_show'), z.literal('video.other')]),
  ogLocale: z.string(),
  ogLocaleAlternate: z.union([z.string(), z.array(z.string())]),
  ogDeterminer: z.union([z.literal('a'), z.literal('an'), z.literal('the'), z.literal(''), z.literal('auto')]),
  ogSiteName: z.string(),
  ogVideo: z.string(),
  ogVideoUrl: z.string(),
  ogVideoSecureUrl: z.string(),
  ogVideoType: z.union([z.literal('application/x-shockwave-flash'), z.literal('video/mp4')]),
  ogVideoWidth: z.union([z.string(), z.number()]),
  ogVideoHeight: z.union([z.string(), z.number()]),
  ogImage: z.string(),
  ogImageUrl: z.string(),
  ogImageSecureUrl: z.string(),
  ogImageType: z.union([z.literal('image/jpeg'), z.literal('image/gif'), z.literal('image/png')]),
  ogImageWidth: z.union([z.string(), z.number()]),
  ogImageHeight: z.union([z.string(), z.number()]),
  fbAppId: z.union([z.string(), z.number()]),
  twitterCard: z.union([z.literal('summary'), z.literal('summary_large_image'), z.literal('app'), z.literal('player')]),
  twitterTitle: z.string().max(70),
  twitterDescription: z.string().max(200),
  twitterImage: z.string(),
  twitterImageAlt: z.string().max(420),
  twitterSite: z.string(),
  twitterSiteId: z.union([z.string(), z.number()]),
  twitterCreator: z.string(),
  twitterCreatorId: z.union([z.string(), z.number()]),
  twitterPlayer: z.string(),
  twitterPlayerWidth: z.union([z.string(), z.number()]),
  twitterPlayerHeight: z.union([z.string(), z.number()]),
  twitterPlayerStream: z.string(),
  twitterAppNameIphone: z.string(),
  twitterAppIdIphone: z.string(),
  twitterAppUrlIphone: z.string(),
  twitterAppNameIpad: z.string(),
  twitterAppIdIpad: z.string(),
  twitterAppUrlIpad: z.string(),
  twitterAppNameGoogleplay: z.string(),
  twitterAppIdGoogleplay: z.string(),
  twitterAppUrlGoogleplay: z.string(),
  twitterData1: z.string(),
  twitterLabel1: z.string(),
  twitterData2: z.string(),
  twitterLabel2: z.string(),
  themeColor: z.string(),
  mobileWebAppCapable: z.literal('yes'),
  appleMobileWebAppCapable: z.literal('yes'),
  appleMobileWebAppStatusBarStyle: z.union([z.literal('default'), z.literal('black'), z.literal('black-translucent')]),
  appleMobileWebAppTitle: z.string(),
  formatDetection: z.literal('telephone=no'),
  msapplicationTileImage: z.string(),
  msapplicationTileColor: z.string(),
  msapplicationConfig: z.string(),
  contentSecurityPolicy: z.union([z.string(), z.object({
    childSrc: z.string(),
    connectSrc: z.string(),
    defaultSrc: z.string(),
    fontSrc: z.string(),
    imgSrc: z.string(),
    manifestSrc: z.string(),
    mediaSrc: z.string(),
    objectSrc: z.string(),
    prefetchSrc: z.string(),
    scriptSrc: z.string(),
    scriptSrcElem: z.string(),
    scriptSrcAttr: z.string(),
    styleSrc: z.string(),
    styleSrcElem: z.string(),
    styleSrcAttr: z.string(),
    workerSrc: z.string(),
    baseUri: z.string(),
    sandbox: z.string(),
    formAction: z.string(),
    frameAncestors: z.string(),
    navigateTo: z.string(),
    reportUri: z.string(),
    reportTo: z.string(),
    requireSriFor: z.string(),
    requireTrustedTypesFor: z.string(),
    trustedTypes: z.string(),
    upgradeInsecureRequests: z.string(),
  }).partial()]),
  contentType: z.literal('text/html; charset=utf-8'),
  defaultStyle: z.string(),
  xUaCompatible: z.literal('IE=edge'),
  refresh: z.union([z.string(), z.object({
    seconds: z.number(),
    url: z.string(),
  })]),
})

export const metaFlatInputSchema = metaFlatSchema.partial()
